# Book settings
# Learn more at https://jupyterbook.org/customize/config.html

title: Hello Book!
author: Jon Keatley
logo: logo.png

# Force re-execution of notebooks on each build.
# See https://jupyterbook.org/content/execute.html
execute:
  execute_notebooks: force

# Define the name of the latex output file for PDF builds
latex:
  latex_documents:
    targetname: book.tex

# Information about where the book exists on the web
repository:
  url: https://gitlab.com/Jon.Keatley.Folio/jupyter-play-books # Online location of your book
  path_to_book: books  # Optional path to your book, relative to the repository root
  branch: master  # Which branch of the repository should be used when creating links (optional)

# Add GitHub buttons to your book
# See https://jupyterbook.org/customize/config.html#add-a-link-to-your-repository
html:
  use_issues_button: true
  use_repository_button: true
